OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.TextureRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLETextureRange :: MonadIO m => m Bool
- gl_APPLE_texture_range :: Bool
- pattern GL_STORAGE_CACHED_APPLE :: GLenum
- pattern GL_STORAGE_PRIVATE_APPLE :: GLenum
- pattern GL_STORAGE_SHARED_APPLE :: GLenum
- pattern GL_TEXTURE_RANGE_LENGTH_APPLE :: GLenum
- pattern GL_TEXTURE_RANGE_POINTER_APPLE :: GLenum
- pattern GL_TEXTURE_STORAGE_HINT_APPLE :: GLenum
- glGetTexParameterPointervAPPLE :: MonadIO m => GLenum -> GLenum -> Ptr (Ptr a) -> m ()
- glTextureRangeAPPLE :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetAPPLETextureRange :: MonadIO m => m Bool Source #

Is the APPLE_texture_range extension supported?

gl_APPLE_texture_range :: Bool Source #

Is the APPLE_texture_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLETextureRange` in those cases instead.

# Enums

pattern GL_STORAGE_CACHED_APPLE :: GLenum Source #

pattern GL_STORAGE_PRIVATE_APPLE :: GLenum Source #

pattern GL_STORAGE_SHARED_APPLE :: GLenum Source #

pattern GL_TEXTURE_RANGE_LENGTH_APPLE :: GLenum Source #

pattern GL_TEXTURE_RANGE_POINTER_APPLE :: GLenum Source #

pattern GL_TEXTURE_STORAGE_HINT_APPLE :: GLenum Source #

# Functions

glGetTexParameterPointervAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

glTextureRangeAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |